/*
 * @Author: ym
 * @Date: 2021-10-09 10:15:18
 * @LastEditTime: 2022-06-18 18:47:19
 * @LastEditors: 陈伟亮 1186723967@qq.com
 * @Description: In User Settings Edit
 * @FilePath: \background-front-end\src\api\modules\content-manage.js
 */
//===================== 内容 =============================
import $http from '../../utils/httpRequest'
import $httpComment from '../../utils/httpRequestComment'
// 资讯管理=================================================
// 增
export const saveNewContent=(content)=>{
    return $http.post('/content/redcontentinfo/saveNewContent',JSON.stringify(content))
}
// 删
export const deleteRedContentInfo=(idList)=>{
    return $http.post('/content/redcontentinfo/delete',JSON.stringify(idList));
}
// 改
export const updateRedContentInfo=(ids)=>{
    return $http.post('/content/redcontentinfo/update',JSON.stringify(ids))
}
// 查
export const getContentInfoListByParams=(obj)=>{
    return $http({
        url:'/content/redcontentinfo/getContentInfoListByParams',
        method: 'get',
        params: $http.adornParams(obj)
    })
}

// 查分类
export const getContentTypeListNoPage=()=>{
    return $http.get('/management/reddatacontentmaintype/getContentTypeListNoPage');
}

// 轮播图管理
// 增
export const saveContentImage=(content)=>{
    return $http.post('/content/redcontentimage/save',JSON.stringify(content))
}
// 删
export const deleteContentImage=(idList)=>{
    return $http.post('/content/redcontentimage/delete',JSON.stringify(idList));
}
// 改
export const updateContentImage=(ids)=>{
    return $http.post('/content/redcontentimage/update',JSON.stringify(ids))
}
// 查
export const getContentImage=(obj)=>{
    return $http({
        url:'/content/redcontentimage/getListByParams',
        method: 'get',
        params: $http.adornParams(obj)
    })
}
// 查询评论
export const getCommentList=(obj)=>{
    let url='';
    switch(obj.type){
        case 'CONTENTIMG': url='/content/redcontentimage'; break;
        case 'CONTENTINFO': url='/content/redcontentinfo'; break;
        case 'CONTENTLOCALINFO': url='/content/redcontentlocalinfo'; break;
        case 'STUDYIMG': url='/study/redstudyimage'; break;
        case 'STUDYINFO': url='/study/redstudyinfo'; break;
        case 'ACTIVITY' :url="/activity/redactivitymatch";break;
    }
    delete obj.type
    return $httpComment({
        url:url+'/listComment',
        method: 'post',
        params:obj
    })
}
// 地方后台查
export const getLocalContentInfoListByParams=(obj)=>{
    return $http({
        url:'/content/redcontentlocalinfo/getContentLocalInfoListByParams',
        method: 'post',
        data: $http.adornParams(obj)
    })
}