/*
 * @Author: ym
 * @Date: 2021-09-28 16:17:10
 * @LastEditTime: 2022-09-02 23:04:36
 * @LastEditors: chenkangxu
 * @Description: In User Settings Edit
 * @FilePath: \background-front-end\src\api\modules\data-dictionary.js
 */
import $http from '../../utils/httpRequest'

//===================== 内容分类 =============================
// 新增分类
export const saveNewContentType=(mainTypeName)=>{
    return $http.post('/management/reddatacontentmaintype/saveNewContentType',JSON.stringify(mainTypeName))
}
// 新增子分类
export const saveNewContentSecondType=(secondTypeName,mainTypeId)=>{
    return $http.post('/management/reddatacontentsecondtype/saveNewSecondType',{
        secondTypeName:secondTypeName,
        mainTypeId:mainTypeId
    })
}
// 修改子类
export const updateContentSecType=(obj)=>{
    return $http.post('/management/reddatacontentsecondtype/update',JSON.stringify(obj))
}
//修改父类
export const updateContentMainType=(obj)=>{
    return $http.post(`/management/reddatacontentmaintype/update`,JSON.stringify(obj))
}
// 批量修改子排序
export const updateContentSecSort=(list)=>{
    return $http.post('/management/reddatacontentsecondtype/updateSort',JSON.stringify(list))
}
// 批量修改排序
export const updateTypeSort=(list)=>{
    return $http.post('/management/reddatacontentmaintype/updateSort',JSON.stringify(list))
}
// 根据id批量删除部门
export const deleteType=(idList)=>{
    return $http.post('/management/reddatacontentmaintype/delete',JSON.stringify(idList));
}
// 根据id批量删除子部门
export const deleteContentSecType=(idList)=>{
    return $http.post('/management/reddatacontentsecondtype/delete',JSON.stringify(idList));
}
// 查询分类
export const getContentTypeList=()=>{
    return $http.get('/management/reddatacontentmaintype/getMainSecondTypeList');
}

//===================== 古诗词分类 =============================
// 新增主分类
export const saveNewMainType=(mainTypeName)=>{
    return $http.post('/management/reddatapoetrymaintype/saveNewMainType',{
        mainTypeName:mainTypeName
    })
}
// 新增子分类
export const saveNewSecondType=(secondTypeName,mainTypeId)=>{
    return $http.post('/management/reddatapoetrysecondtype/saveNewSecondType',{
        secondTypeName:secondTypeName,
        mainTypeId:mainTypeId
    })
}
// 修改主类
export const updateMainType=(obj)=>{
    return $http.post('/management/reddatapoetrymaintype/update',JSON.stringify(obj))
}
// 修改子类
export const updateSecType=(obj)=>{
    return $http.post('/management/reddatapoetrysecondtype/update',JSON.stringify(obj))
}
// 批量修改主排序
export const updatePSort=(list)=>{
    return $http.post('/management/reddatapoetrymaintype/updateSort',JSON.stringify(list))
}
// 批量修改子排序
export const updateSPSort=(list)=>{
    return $http.post('/management/reddatapoetrysecondtype/updateSort',JSON.stringify(list))
}
// 根据id批量删除主部门
export const deleteMainType=(idList)=>{
    return $http.post('/management/reddatapoetrymaintype/delete',JSON.stringify(idList));
}
// 根据id批量删除子部门
export const deleteSecType=(idList)=>{
    return $http.post('/management/reddatapoetrysecondtype/delete',JSON.stringify(idList));
}
// 查询分类
export const getMainSecondTypeList=()=>{
    return $http.get('/management/reddatapoetrymaintype/getMainSecondTypeList');
}

//===================== 打卡地 =============================
// 新增分类
export const saveNewFootprintType=(footprintTypeName)=>{
    return $http.post('/management/reddatafootprinttype/saveNewFootprintType',JSON.stringify(footprintTypeName))
}
// 批量修改排序
export const updateFootprintTypeSort=(list)=>{
    return $http.post('/management/reddatafootprinttype/updateFootprintTypeSort',JSON.stringify(list))
}
// 根据id批量删除
export const deleteFootprint=(idList)=>{
    return $http.post('/management/reddatafootprinttype/delete',JSON.stringify(idList));
}
// 查询分类
export const getListByParams=()=>{
    return $http.get('/management/reddatafootprinttype/getList');
}


//==================== 手抄报分类 =============================
export function getHandCopyTypeList(){
    return $http({
        url:'/management/reddatahandcopytype/getList',
        method:'get',
    })
}
export function saveHandCopyType(data){
    return $http({
        url:'/management/reddatahandcopytype/save',
        method:'post',
        data
    })
}
export function updateHandCopySort(data){
    return $http({
        url:'/management/reddatahandcopytype/updateHandCopySort ',
        method:'post',
        data
    })
}
export function deleteHandCopySort(data){
    return $http({
        url:'/management/reddatahandcopytype/delete ',
        method:'post',
        data
    })
}

//==================== 活动/赛事分类 =============================
//活动分类
export function getActivityTypeList(){
    return $http({
        url:'/management/reddataactivitytype/getList',
        method:'get',
    })
}
export function saveActivityType(data){
    return $http({
        url:'/management/reddataactivitytype/save',
        method:'post',
        data
    })
}
export function updateActivitySort(data){
    return $http({
        url:'/management/reddataactivitytype/updateActivitySort ',
        method:'post',
        data
    })
}
export function deleteActivitySort(data){
    return $http({
        url:'/management/reddataactivitytype/delete ',
        method:'post',
        data
    })
}
//赛事分类
export function getMatchTypeList(){
    return $http({
        url:'/management/reddatamatchtype/getList',
        method:'get',
    })
}
export function saveMatchType(data){
    return $http({
        url:'/management/reddatamatchtype/save',
        method:'post',
        data
    })
}
export function updateMatchSort(data){
    return $http({
        url:'/management/reddatamatchtype/updateMatchSort ',
        method:'post',
        data
    })
}
export function deleteMatchSort(data){
    return $http({
        url:'/management/reddatamatchtype/delete ',
        method:'post',
        data
    })
}
//专题分类增删改查
export function courseThemeSave(data){
    return $http({
        url:'/localService/redcoursetheme/save',
        method:'post',
        data
    })
}
export function courseThemeDelete(data){
    return $http({
        url:'/localService/redcoursetheme/delete',
        method:'post',
        data
    })
}
export function courseThemeUpdate(data){
    return $http({
        url:'/localService/redcoursetheme/update',
        method:'post',
        data
    })
}
export function courseThemeList(params){
    return $http({
        url:'/localService/redcoursetheme/list',
        method:'get',
        params
    })
}
export function courseThemeSort(data){
    return $http({
        url:'/localService/redcoursetheme/updateSort',
        method:'post',
        data
    })
}
export function courseThemeAll(params){
    return $http({
        url:'/localService/redcoursetheme/getListNoPage',
        method:'get',
        params
    })
}