/*
 * @Author: ym
 * @Date: 2021-09-28 16:17:10
 * @LastEditTime: 2022-01-20 15:42:09
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \background-front-end\src\api\modules\footprint.js
 */
import $http from '../../utils/httpRequest'

/**
 * 系统管理 意见反馈  查询删除
 * @param {*} mainTypeName 
 * @returns 
 */

// 查询景点所属分类列表
export const getFootprintTypeList=()=>{
    return $http.post('/management/reddatafootprinttype/getFootprintTypeListNoPage');
}
// 查询景点列表
export const getFootPrintByParams=(data)=>{
    return $http({
        url:'/footprint/redfootprint/getFootPrintByParams',
        method: 'get',
        params: $http.adornParams(data)
    })
}
//根据id获取景点/打卡地详情
export const getFootprintInfo=(url)=>{
    return $http({
        url: '/footprint/redfootprint/info/' + url,
        method: 'get',
    })
}
//添加一个景点  /  打卡地
export const saveNewFootprint=(data)=>{
    return $http({
        url:'/footprint/redfootprint/saveNewFootprint',
        method: 'post',
        data: $http.adornData(data)
    })
}
//编辑修改打卡地  修改景点
export const editFootprint=(data)=>{
    return $http({
        url:'/footprint/redfootprint/update',
        method: 'post',
        data: $http.adornData(data)
    })
}
//编辑批量删除打卡地  修改景点
export const deleteFootprintList=(data)=>{
    return $http({
        url:'/footprint/redfootprint/delete',
        method: 'post',
        data
    })
}
// 查询景点路线列表
export const getFootprintLineList=(params)=>{
    return $http({
        url:"/footprint/redfootprintline/list",
        method:'post',
        params
    })
}
// 添加景点路线
export const saveFootprintLine=(data)=>{
    return $http({
        url:"/footprint/redfootprintline/save",
        method:'post',
        data
    })
}
// 编辑景点路线
export const updateFootprintLine=(data)=>{
    return $http({
        url:"/footprint/redfootprintline/update",
        method:'post',
        data
    })
}
// 删除景点路线
export const deleteFootprintLine=(data)=>{
    return $http({
        url:"/footprint/redfootprintline/delete",
        method:'post',
        data
    })
}
// 获取景点路线详情
export const getFootprintLineDetail=(id)=>{
    return $http({
        url:"/footprint/redfootprintline/info/"+id,
        method:'get',
    })
}