/*
 * @Author: ym
 * @Date: 2021-09-25 16:08:51
 * @LastEditTime: 2021-09-25 16:20:08
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \piecework-treasure\src\api\modules\notice-management.js
 */
import $http from '../../utils/httpRequest'

// 添加新公告
export const addReport=(reportTitle,reportContent)=>{
    return $http.post('/sys/report/save',{
        reportTitle,reportContent
    })
}

// 修改通知
export const updateReport=(reportId,reportTitle,reportContent)=>{
    return $http.post('/sys/report/update',{
        reportId,reportTitle,reportContent
    })
}

// 删除通知
export const deleteReportsByIds=(reportIdsArray)=>{
    return $http.post('/sys/report/delete',JSON.stringify(reportIdsArray))
}

// 日期条件都不传就查询全部 ， 支持1.只传日期 2.传日期加条件
export const getReportsList=(condition,beginDay,endDay,page=1,limit=10)=>{
    // 2010-08-29 00:00:00             2022-08-29 00:00:00
    return $http.get(`/sys/report/list?page=${page}&limit=${limit}&beginDay=${beginDay}&endDay=${endDay}&condition=${condition}`)
}

// 通知详情
export const getReportInfo=(reportId)=>{
    return $http.get(`/sys/report/info/${id}`)
}