/*
 * @Author: chenkangxu
 * @Date: 2021-09-26 12:46:12
 * @LastEditTime: 2021-09-26 22:15:17
 * @LastEditors: chenkangxu
 * @Description: 生产管理模块api
 * @Github: 
 */
import $http from '../../utils/httpRequest'

// #region 款式生产
/**
 * @description: 新增款式
 * @param {Object} data
 * @return {*}
 */
export const addPattern=(data)=>{
    /**
     * {
        createNumber: (...)
        deliveryDay: (...)
        orderNumber: (...)
        patternCreateTime: (...)
        patternName: (...)
        patternNumber: (...)
        patternRemark: (...)
     * }
     */    
    return $http.post('/create/pattern/save',data)
}

/**
 * @description: 查看款式
 * @param {*}
 * @return {*}
 */
export const getPatternInfo=(pattekrnId)=>{
    return $http.get('/create/pattern/info/'+pattekrnId)
}
/**
 * @description: 删除款式
 * @param {*}
 * @return {*}
 */
export const deletePatternsByIdsArray=(IdsArray)=>{
    return $http.post('/create/pattern/delete',JSON.stringify(IdsArray))
}

/**
 * @description: 修改款式和款式状态修改
 * @param {*}
 * @return {*}
 */
export const updatePattern=(patternId,patternName,workStatus)=>{
    return $http.post('/create/pattern/update',{
        patternId,patternName,workStatus
    })
}
/**
 * @description: 查看全部款式
 * @param {*}
 * @return {*}
 */
export const getPatternList=(data,page=1,limit=10)=>{
    return $http.get(`/create/pattern/list?page=${page}&limit=${limit}&${data.timeType=='创建时间'?'':'D'}beginDay=${data.startDate}&${data.timeType=='创建时间'?'':'D'}endDay=${data.endDate}&workStatus=${data.status=='所有状态'?'':data.status}&isExistProcess=${data.onlyNoProcess}&condition=${data.filter}`);
}
/**
 * @description: 查询对应款式得全部工序
 * @param {*}
 * @return {*}
 */
export const getProcessOfPattern=(patternId)=>{
    return $http.get(`/create/process/listByPattern/${patternId}`)
}
// #endregion