/*
 * @author: ym
 * @Date: 2021-10-11 19:24:45
 * @LastEditTime: 2022-08-03 17:38:13
 * @LastEditors: 陈伟亮 1186723967@qq.com
 * @Description: 
 * @FilePath: \background-front-end\src\api\modules\service.js
 */
//===================== 服务 =============================
import $http from '../../utils/httpRequest'

// 轮播图管理
// 增
export const saveLocalServiceImage=(content)=>{
    return $http.post('/localService/redstudyimage/save',JSON.stringify(content))
}
// 删
export const deleteLocalServiceImage=(idList)=>{
    return $http.post('/localService/redstudyimage/delete',JSON.stringify(idList));
}
// 改
export const updateLocalServiceImage=(ids)=>{
    return $http.post('/localService/redstudyimage/update',JSON.stringify(ids))
}
// 查
export const getLocalServiceImage=(obj)=>{
    return $http({
        url:'/localService/redstudyimage/getListByParams',
        method: 'get',
        params: $http.adornParams(obj)
    })
}

// 课程
// 增
export const saveNewCourse=(content)=>{
    return $http.post('/localService/redstudycourse/saveNewCourse',JSON.stringify(content))
}
// 删
export const deleteRedCourse=(ids)=>{
    return $http.post('/localService/redstudycourse/delete',ids);
}
// 改
export const updateRedCourse=(content)=>{
    return $http.post('/localService/redstudycourse/updateCourse',JSON.stringify(content))
}
// 查
export const getCourseListByParams=(obj)=>{
    return $http({
        url:'/localService/redstudycourse/getCourseListByParams',
        method: 'get',
        params: $http.adornParams(obj)
    })
}
// 修改课程排序号
export const updateCourseListSort=(data)=>{
    console.log(data)
    return $http({
        url:'/localService/redstudycourse/updateBatchSort',
        method: 'post',
        data
    })
}

// 古诗词
// 增
export const saveRedPoetry=(content)=>{
    return $http.post('/localService/redpoetry/save',JSON.stringify(content))
}
// 删
export const deleteRedPoetry=(ids)=>{
    return $http.post('/localService/redpoetry/delete',JSON.stringify(ids));
}
// 改
export const updateRedPoetry=(content)=>{
    return $http.post('/localService/redpoetry/update',JSON.stringify(content))
}
// 查
export const getPoetryByParams=(obj)=>{
    return $http({
        url:'/localService/redpoetry/getPoetryByParams',
        method: 'get',
        params: $http.adornParams(obj)
    })
}


//教育局学校管理
// 增 教育局超管
export const saveNewEducation=(content)=>{
    return $http.post('/localService/rededucation/saveNewEducation',JSON.stringify(content))
}
// 增 学校超管
export const saveNewSchool=(content)=>{
    return $http.post('/localService/redschool/saveNewSchool',JSON.stringify(content))
}
// // 删
// export const deleteRedPoetry=(ids)=>{
//     return $http.post('/localService/redpoetry/delete',JSON.stringify(ids));
// }
// 改
// 修改教育局
export function updateEducation (content) {
    return $http.post('/localService/rededucation/updateEducation',JSON.stringify(content))
}
// 修改角色
export function updateSchool (content) {
    return $http.post('/localService/redschool/updateSchool',JSON.stringify(content))
}

// 查 教育局
export const getEducationByParams=(obj)=>{
    return $http({
        url:'/localService/rededucation/getList',
        method: 'get',
        params: $http.adornParams(obj)
    })
}
// 查 学校
export const getSchoolByParams=(obj)=>{
    return $http({
        url:'/localService/redschool/getList',
        method: 'get',
        params: $http.adornParams(obj)
    })
}

// 获取角色列表, 根据当前用户 
export const selectRoles=()=>{
    return $http({
        url:'/sys/role/select'
    })
  }

// 查 详情
export const getEducationInfo=(id)=>{
    return $http({
        url:'/localService/rededucation/info/'+id,
        method: 'get'
    })
}

//=================手抄报管理==================
//查询
export function getHandlCopyManagementList(params){
    return $http({
        url:'/localService/redhandcopy/getListByParams',
        method:'get',
        params
    })
}
//修改
export function updateHandlCopyManagement(data){
    return $http({
        url:'/localService/redhandcopy/update',
        method:'post',
        data
    })
}
//删除
export function deleteHandlCopyManagementList(data){
    return $http({
        url:'/localService/redhandcopy/delete',
        method:'post',
        data
    })
}
//添加
export function saveHandlCopyManagement(data){
    return $http({
        url:'/localService/redhandcopy/save',
        method:'post',
        data
    })
}
//=================资讯管理==================
// 增
export const saveServiceNewInfo=(content)=>{
    return $http.post('/localService/redstudyinfo/save',JSON.stringify(content))
}
// 删
export const deleteServiceNewInfo=(idList)=>{
    return $http.post('/localService/redstudyinfo/delete',JSON.stringify(idList));
}
// 改
export const updateServiceNewInfo=(ids)=>{
    return $http.post('/localService/redstudyinfo/update',JSON.stringify(ids))
}
// 查
export const geServiceNewInfoListByParams=(obj)=>{
    return $http({
        url:'/localService/redstudyinfo/getStudyInfoListByParams',
        method: 'get',
        params: $http.adornParams(obj)
    })
}

export const service={
    //添加题库
    addQuestionBatch(data){
        return $http.post(`/project/pruserprojectitem/saveBatch`,JSON.stringify(data))
    },
    //删除某个题目
    deleteQuestion(questionIdsArray){
        return $http.post(`/project/pruserprojectitem/delete`,JSON.stringify(questionIdsArray));
    },
    //修改某个题目
    editQuestion(data){
        data.expand=JSON.stringify(data.expand)
        data.regList=JSON.stringify(data.regList)
        return $http.post(`/project/pruserprojectitem/update`,data)
    },
    //获取题库列表
    getQuestionList(params){
        return $http.get(`/project/pruserprojectitem/list`,{params});
    }
}