import $http from '../../utils/httpRequestUser.js'

// 学习接口
export const study = {
	// 获取轮播图列表
	getStudySwiper() {
		return $http.get(`/study/redstudyimage/getList`);
	},
	// 获取学习资讯列表
	getStudyNews(page = 1, limit = 20) {
		return $http.get(`/study/redstudyinfo/list?page=${page}&limit=${limit}`)
	},
	// 获取资讯详情
	getStudyNewsInfo(contentInfoId) {
		return $http.get(`/study/redstudyinfo/info/${contentInfoId}`)
	},
	//获取轮播图资讯
	getStudySwiperInfo(contentInfoId) {
		return $http.get(`/study/redstudyimage/info/${contentInfoId}`)
	},
	//=============教师观察start==============//
	//判断是否为老师
	judgeIsTeacher() {
		return $http.get(`/user/redteacher/isTeacher`);
	},
	// 获取邀请码
	createInviteCode(teacherId) {
		return $http.get(`/user/redteacher/createCode/${teacherId}`)
	},
	// 获取成员列表和创建的邀请码
	getClassInfoByTeacherId(teacherId) {
		return $http.get(`/user/redteacher/getClassInfoByTeacherId/${teacherId}`)
	},
	// 获取申请列表
	getStudentApplyList(teacherId) {
		return $http.get(`/user/redteacher/getStudentApplyList/${teacherId}`)
	},
	// 申请通过
	getAgreeApply(userId) {
		return $http.get(`/user/redteacher/getAgreeApply/${userId}`)
	},
	// 申请通过
	deleteStudent(studentId) {
		return $http.get(`/user/redteacher/deleteStudent/${studentId}`)
	},
	//查询爱国主义课程学习情况
	getStudentStudyStatus(courseId /* 课程id */ , teacherId /* 教师id */ ) {
		return $http.get(`/user/redteacher/getUserStudyList?courseId=${courseId}&teacherId=${teacherId}`);
	},
	//获取当前老师的所有管理的课程(每个老师的课程都是一样的)
	getAllCourseByTeacherId() {
		return $http.get(`/user/redteacher/getCourseList`)
	},
	// 催学生
	urgeStudents(userIdsAndCourseIdsArray) {
		return $http.post(`/report/pushStudent`, JSON.stringify(userIdsAndCourseIdsArray))
	},
	//=============教师观察end===================//

	// ============爱国主义教育start================//
	// 获取爱国主义课程列表
	getPatriotismCourseList(page = 1, limit = 20) {
		return $http.get(`/study/redstudycourse/getList?page=${page}&limit=${limit}`);
	},
	// 获取爱国主页课程详情
	getPatriotismCourseInfo(courseId /* 课程id */ ) {
		return $http.get(`/study/redstudycourse/getCourseInfoById/${courseId}`)
	},
	// 完成课程的接口
	finishCourse(courseId) {
		return $http.get(`/study/redstudycourse/videoIsOver/${courseId}`);
	},
	// 提交试卷 接口文档https://easydoc.net/s/80870525/lFkazUXb/ccBRVOz7
	submitExam(data) {
		return $http.post(`/study/redstudycourse/submitPaper`, data)
	},



	//=============爱国主义教育end===================//

	//=============古诗词学习start=================//
	//获取古诗分类
	getPoetryType() {
		return $http.get(`/study/reddatapoetrymaintype/list`);
	},
	// 获取古诗列表
	getPoetryList(secondTypeId /* 古诗类型id */ , page, limit) {
		return $http.get(`/study/redpoetry/list?secondTypeId=${secondTypeId}&page=${page}&limit=${limit}`)
	},
	//古诗全文搜索
	searchPoetryByName(searchName) {
		return $http.get(`/study/redpoetry/searchPoetry?searchName=${searchName}`)
	},
	//获取古诗详情
	getPoetryInfo(poetryId /* 古诗id */ ) {
		return $http.post(`/study/redpoetry/info/${poetryId}`)
	},
	//=============古诗词学习end==================//

	//============手抄报start===================//
	// 获取手抄报类型
	getHandPaperType() {
		return $http.get(`/study/reddatahandcopytype/list`);
	},
	// 获取手抄报列表
	getHandPaperList(typeId, searchName = '') {
		return $http.get(`/study/redhandcopy/list?typeId=${typeId}&searchName=${searchName}`);
	},
	// 获取手抄报详情
	getHandPaperInfo(handPaperId) {
		return $http.post(`/study/redhandcopy/info/${handPaperId}`);
	},
	//手抄报点赞
	likePaper(articleId) {
		return $http.post(`/study/redhandcopy/up`, {
			articleId
		})
	},
	//手抄报取消点赞
	cancelLikePaper(articleId) {
		return $http.post(`/study/redhandcopy/cancelup`, {
			articleId
		})
	},
	//===========手抄报end================//
	//==========立德树人以及家教家风 start============//
	//获取立德树人列表 废弃
	getMoralityEducationList(page = 1, limit = 20) {
		return $http.get(`/study/redstudyinfo/getFamilyList`);
	},
	//获取家教家风列表 废弃
	getFamilyStyleList(page = 1, limit = 20) {
		return $http.get(`/study/redstudyinfo/getVirtueList`);
	},
	//统一获取立德树人、爱国主义、家教家风
	getRedStudyCourse(courseType, page = 1, limit = 20,searchName='',courseGrade=1,courseThemeId="") {
		return $http.get(`/study/redstudycourse/getList?courseType=${courseType}&page=${page}&limit=${limit}&title=${searchName}&courseGrade=${courseGrade}&courseThemeId=${courseThemeId}`)
	},
	//==========立德树人以及家教家风 end============//

	//==========课堂 start=========================//
	// 创建课堂
	/**
	 * @description 创建课堂
	 * @param {String} courseName 课程名称
	 * @param {String} courseUrl 课程图片
	 */
	createClassroom(courseName, courseUrl) {
		return $http.post(`/course/save`, {
			courseName,
			courseUrl
		})
	},
	/**
	 * @description 删除课堂
	 * @param {Array<String>} courseIdsArray 要删除的课程id数组
	 */
	deleteClassroom(courseIdsArray) {
		return $http.post(`/course/delete`, JSON.stringify(courseIdsArray))
	},
	/**
	 * @description 修改课堂信息
	 * @param {String} courseId 要更改的课堂id
	 * @param {String} courseName 要更改的名字
	 * @param {String} courseUrl 要更改的课堂图片OSS地址
	 */
	updateClassroom(courseId, courseName, courseUrl) {
		return $http.post(`/course/update`, {
			courseId,
			courseName,
			courseUrl
		})
	},
	/**
	 * @description 查看对应的课堂详情
	 * @param {String} courseId 要查看的课堂id
	 */
	getClassroomInfo(courseId) {
		return $http.get(`/course/info/${courseId}`);
	},
	/**
	 * @description 查询课堂列表
	 */
	getClassroomsList(page = 1, litmit = 10) {
		return $http.get(`/course/list?page=${page}&litmit=${litmit}`);
	},
	/**
	 * @description 批量拉学生进课堂
	 * @param {String[]} userIds 课堂id
	 *  * @param {String} courseId 课堂id
	 */
	saveStudents(userIds,courseId){
		return $http.post(`/course/saveStudents`,{
			userIds,
			courseId
		})
	},
	/**
	 * @description 获取课堂邀请码
	 * @param {String} courseId 课堂id
	 */
	getInviteCode(courseId) {
		return $http.get(`/course/createCode/${courseId}`);
	},
	/**
	 * @description 根据邀请码加入课堂
	 * @param {String} inviteCode 邀请码
	 */
	joinInClassroomByInviteCode(inviteCode) {
		return $http.get(`/course/saveUserByCode/${inviteCode}`)
	},
	/**
	 * @description 发布讨论
	 * @param {String} talkTitle 讨论标题
	 * @param {String} talkContent 讨论内容
	 * @param {String} courseId 要发布到的课堂id
	 */
	createTalk(talkTitle, talkContent, courseId) {
		return $http.post(`/talk/talk/save`, {
			talkTitle,
			talkContent,
			courseId
		})
	},
	/**
	 * @description 获取对应的课堂里的讨论列表
	 * @param {String} courseId 对应的课堂id
	 */
	getTalkList(courseId,page=1,limit=10) {
		return $http.get(`/talk/talk/list?courseId=${courseId}&page=${page}&limit=${limit}`);
	},
	/**
	 * @description 删除讨论
	 * @param {Array<String>} talkIdsArray 对应的讨论id数组
	 */
	deleteTalk(talkIdsArray) {
		return $http.post(`/talk/talk/delete`, JSON.stringify(talkIdsArray));
	},
	/**
	 * @description 更新讨论
	 * @param {String} talkId 讨论id
	 * @param {String} talkTitle 讨论标题
	 * @param {String} talkContent 话题内容
	 */
	updateTalk(talkId,talkTitle,talkContent) {
		return $http.post(`/talk/talk/update`, {
			talkId,talkTitle,talkContent
		})
	},
	/**
	 * @description 获取讨论详情
	 * @param {String} talkId 讨论id
	 */
	getTalkInfo(talkId){
		return $http.post(`/talk/talk/info/${talkId}`);
	},
	/**
	 * @description 回复讨论
	 * @param {String} parentId 回复的talkId
	 * @param {String} commentContent 回复内容
	 * @param {String} commentImg 回复的图片
	 */
	replyTalk(talkId,commentContent,commentImg){
		return $http.post(`/talk/talk/saveComment`,{
			parentId:talkId,commentContent,commentImg
		})
	},
	/**
	 * @description 删除回复的讨论
	 * @param {Array<String>} commentIdsArray 要删除的回复id的数组
	 */
	deleteReplyTalk(commentIdsArray){
		return $http.post(`/talk/comment/delete`,JSON.stringify(commentIdsArray));
	},
	/**
	 * @description 查询课堂的所有学生
	 */
	classroomStudentList(courseId,name='',page=1,limit=10){
		return $http.get(`/course/usercourse/list?courseId=${courseId}&name=${name}&page=${page}&limit=${limit}`);
	},
	/**
	 * @description 移除学生
	 */
	removeStudent(ucIdsArray){
		return $http.post(`/course/usercourse/delete`,JSON.stringify(ucIdsArray));
	},
	//==========课堂 end===========================//
	//==========动态 分享 start======================//
	/**
	 * @description 获取该课堂的所有动态与分享 目前就两种：成绩分享和文章分享
	 * @param {String} 要分享到的课堂id 
	 * @param {String} page limit
	 */
	getShareList(courseId,page,limit){
		return $http.get(`/user/share/list?courseId=${courseId}&page=${page}&limit=${limit}`)
	},
	/**
	 * @description 分享到课堂
	 * @param {Object} data {articleType,articleId,comment,courseId,score}
	 **/
	shareToClassroom(data){
		return $http.post(`/user/share/save`,data)
	},
	/**
	 * @description 删除我的分享
	 * @param {Array<String>} shareIdsArray 分享id字符串数组
	 **/
	 deleteMyShare(shareIdsArray){
		 return $http.post(`/user/share/delete`,JSON.stringify(shareIdsArray));
	 },
	//==========动态 分享 end========================//
	//===============提升练习 start==================//
	/**
	 * @description 根据练习类型获取提升练习列表
	 * @param {String} practiceType 练习类型
	 * @param {String} searchName 模糊搜索 
	 **/
	getPracticesListByType(practiceType,page,limit,searchName='',courseThemeId){
		return $http.get(`/study/redteacherpractice/getListByType?page=${page}&limit=${limit}&practiceType=${practiceType}&practiceName=${searchName}&courseThemeId=${courseThemeId}`);
	},
	/**
	 * @description 根据练习id获取练习详情
	 * @param {String} practiceId 练习id
	 **/
	getPracticeInfoById(practiceId){
		return $http.get(`/study/redteacherpractice/getPracticeInfoById/${practiceId}`)
	},
	/**
	 * @description 提交练习
	 * @param {Object} data 对应的数据
	 **/
	submitPractice(data){
		return $http.post(`/study/redteacherpractice/submitPractice`,data)
	},
	//===============提升练习 end====================//
	//===============教师发布提升练习 题库 start================//
	/**
	 * @description 获取对应专题的题库数据
	 */
	getPracticeList(itemType,page=1,limit=10,courseThemeId=''){
		return $http.get(`/project/pruserprojectitem/list?page=${page}&limit=${limit}&itemType=${itemType}&courseThemeId=${courseThemeId}`)
	},
	/**
	 * @description 根据勾选的题库进行发布随堂练习
	 */
	sendNewPractice(data){
		return $http.post(`/study/redteacherpractice/saveNewPractice`,data)
	},
	/**
	 * @description 查询我发布的练习
	 */
	getMyPublishedPractice(practiceType,page=1,limit=10,searchName='',courseThemeId){
		return $http.request({
			url:"/study/redteacherpractice/getPracticeByTeacher",
			method:"get",
			data:{
				page,limit,searchName,practiceType,courseThemeId
			}
		})
	},
	/**
	 * @description 查看当前练习的详情以及完成情况
	 * @param {String} practiceId 
	 */
	getMyPublishedPracticeInfo(practiceId){
		return $http.get(`/study/redteacherpractice/getPracticeDetailsById/${practiceId}`)
	},
	/**
	 * @description 移除我发布的随堂练习
	 * @param {Array<String>} practiceIdsArray 随堂练习id数组
	 */
	removeMyPublishedPractice(practiceIdsArray){
		return $http.post(`/study/redteacherpractice/deletePractice`,JSON.stringify(practiceIdsArray))
	},
	//===============教师发布提升练习 end================//
	/**
	 * @description 获取学习模块下的分类 如点击思想教育，获取下列的伟大领袖、红色印记、英烈人物、爱国情怀
	 */
	getStudySecondModule(courseType){
		return $http.get(`/study/redcoursetheme/getListByType?courseType=${courseType}`)
	},
	/**
	 * @@description 获取待学习的课程列表
	 */
	getStudyingCourseList(courseGrade=1,courseType='',courseThemeId=''){
		return $http.get(`/study/redstudycourse/getNotStudyCourse?courseGrade=${courseGrade}&courseType=${courseType}&courseThemeId=${courseThemeId}`)
	}
}
