/*
 * @Author: ym
 * @Date: 2021-09-28 16:17:10
 * @LastEditTime: 2022-08-11 18:37:54
 * @LastEditors: 陈伟亮 1186723967@qq.com
 * @Description: In User Settings Edit
 * @FilePath: \piecework-treasure\src\api\modules\content-type.js
 */
import $http from '../../utils/httpRequest'

/**
 * 系统管理 意见反馈  查询删除
 * @param {*} mainTypeName 
 * @returns 
 */

// 根据id批量删除意见反馈
export const deleteFeedback=(idList)=>{
    return $http.post('/management/redsystemfeedback/delete',JSON.stringify(idList));
}
// 查询意见反馈列表
export const getFeedbackByParams=()=>{
    return $http.get('/management/redsystemfeedback/getFeedbackByParams');
}
//保存公告
export const addReport=(reportTitle,reportContent,reportType='system')=>{
    return $http.post(`/report/save`,{
        reportType,reportTitle,reportContent
    });
}
//查看全部公告
export const getReportsList=(page=1,limit=10)=>{
    return $http.get(`/report/list?page=${page}&limit=${limit}`)
}
// 查看公告
export const getReportInfo=(reportId)=>{
    return $http.get(`/report/info/${reportId}`)
}
// 删除公告
export const deleteReportsByIds=(ids)=>{
    return $http.post(`/report/delete`,JSON.stringify(ids))
}
//修改公告
export const updateReport=(reportId,reportTitle,reportContent)=>{
    return $http.post(`/report/update`,{
        reportId,reportTitle,reportContent
    })
}
//修改公告
export const savePreviewRichText=(data)=>{
    return $http.post(`/text/redtext/save`,data)
}
/**
 * 系统管理  常见问题  增删改查
 * @param {*} mainTypeName 
 * @returns 
 */
//上传富文本图片
export const richTextImgUpload=(url)=>{
    return $http({
        url: '/sys/oss/upload',
        method: 'post',
        data: {text:url}
      })
}